summaryrefslogtreecommitdiff
path: root/server/install-dependencies.sh
diff options
context:
space:
mode:
Diffstat (limited to 'server/install-dependencies.sh')
-rwxr-xr-xserver/install-dependencies.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/server/install-dependencies.sh b/server/install-dependencies.sh
new file mode 100755
index 00000000..8f1b5d27
--- /dev/null
+++ b/server/install-dependencies.sh
@@ -0,0 +1,16 @@
+
+#!/bin/bash
+
+# Check if Poetry is installed
+if ! command -v poetry &> /dev/null
+then
+ echo "Poetry not found, installing..."
+ curl -sSL https://install.python-poetry.org | python3 -
+fi
+
+# Install or update dependencies & create .venv if it doesn't exist
+echo "Installing dependencies..."
+poetry install
+
+echo "Running type generation..."
+poetry run typegen